API DocumentationAccount
List quota level definitions
Returns available quota level definitions.
Authorization
bearer_auth AuthorizationBearer <token>
Authentication
Create an API token on Profile. Send it in the Authorization header:
Authorization: Bearer os1_...Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.
In: header
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/quota/levels"{ "quotas": [ { "level": 1, "units": 1, "cpus": 1, "memory": 1, "disk": 25, "block_storage": 50, "vpcs": 1 }, { "level": 2, "units": 2, "cpus": 2, "memory": 2, "disk": 50, "block_storage": 100, "vpcs": 1 } ]}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized. Send POST /v1/init, then retry the request." } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}